Getting Started

8 Jun 20173 minutes to read

This section will explain the rendering procedure for the Angular GroupButton with the step-by-step instructions.

You can create the Angular project with the required script and themes files with the help of the below link:

https://help.syncfusion.com/angular-2/overview

Creating a GroupButton in Angular environment

Create the GroupButton using GroupButton tag inside the body tag as like below

  • HTML
  • <ej-groupbutton></ej-groupbutton>

    Create the component TS file like below to render the component.

  • HTML
  • import { Component, ViewEncapsulation} from '@angular/core';
    
    
    
        @Component({
    
            selector: 'ej-app',
    
            templateUrl: 'app/app.component.html',
    
        })
    
        export class AppComponent {
    
    
    
            constructor() {}
    
        }

    Model biding

    DataSource for GroupButton can be set to component via model binding like below code example.
    Here we have added the all required fields for GroupButton DataSource with data (inside the constructor of component)

  • JAVASCRIPT
  • export class AppComponent { 
    
        constructor() { 
    
        this.data = [
                    { text: "Day", contentType: "textonly" },
                { text: "Week", contentType: "textonly" },
                { text: "Month", contentType: "textonly", selected: "selected" },
                { text: "Year", contentType: "textonly" }];
        }
        }

    This dataSource need to be bounded with the GroupButton component like below

  • HTML
  • <ej-groupbutton [(dataSource)]="data"></ej-groupbutton>

    Configuring the APIs of Angular GroupButton

    All APIs of GroupButton can be configured and values can be updated from constructor. Please check with the below code example

  • HTML
  • <div class="content-container-fluid">
            <div class="row">
    
                    GroupButton
                            <ej-groupbutton [(dataSource)]="data" [groupButtonMode] = "radioButton"></ej-groupbutton>
    
            </div>
            
        </div>
  • HTML
  • import { Component, ViewEncapsulation} from '@angular/core';
    
            @Component({
    
                selector: 'ej-app',
    
                templateUrl: 'app/app.component.html',
    
            })
    
            export class AppComponent {
    
    
    
                radioButton:string;
    
                constructor() {
    
                        this.radioButton ="radioButton";   
                        this.data = [
                    { text: "Day", contentType: "textonly" },
                { text: "Week", contentType: "textonly" },
                { text: "Month", contentType: "textonly", selected: "selected" },
                { text: "Year", contentType: "textonly" }];
        
                }
    
            }

Getting Started

11 Jan 20175 minutes to read

You can create a ReactJS GroupButton component in your application with the help of the following steps. The basic rendering of ReactJS GroupButton is achieved with default functionality.

Create a GroupButton Using JSX template

You can create a ReactJS application and add necessary scripts and styles with the help of the given link https://help.syncfusion.com/reactjs/overview

Define an HTML element for adding GroupButton in the application and refer the JSX file.

  • HTML
  • <body>   
        <div id="groupbutton"></div>                                                                 
        <script type="text/babel" src="GroupButton.jsx"> <script/>                 
        </body>

    Create a JSX file for rendering GroupButton components using ‘' tag. Add required properties in the with this tag element.

  • HTML
  • "use strict";
    
        var data=[
    
    
    
                { text: 'Day', contentType: 'textonly' },
    
    
    
                { text: 'Week', contentType: 'textonly' },
    
    
    
                { text: 'Work Week', contentType: 'textonly' },
    
    
    
                { text: 'Month', contentType: 'textonly', selected: 'selected' },
    
    
    
                { text: 'Agenda', contentType: 'textonly' }
    
        ];
  • HTML
  • ReactDOM.render(
                
                    <EJ.GroupButton id="dtp" dataSource={data} >
        </EJ.GroupButton>
            ,
        document.getElementById('groupbutton')
        );

    This will render the GroupButton in the above HTML page in the div element with id sample.

    Create a GroupButton without using JSX template

    GroupButton can be created without using JSX template. It can be done by using script section in HTML file.

    The following script code will render the GroupButton component.

  • HTML
  • <div id="groupbutton">
            <script>
    
                var data = [
    
                { text: 'Day', contentType: 'textonly' },
    
                { text: 'Week', contentType: 'textonly' },
    
                { text: 'Work Week', contentType: 'textonly' },
    
                { text: 'Month', contentType: 'textonly', selected: 'selected' },
    
                { text: 'Agenda', contentType: 'textonly' }
                ];
    
    
                ReactDOM.render(
    
    
                    React.createElement(EJ.GroupButton, { id: 'groupbutton', dataSource: data, showRoundedCorner: true }
                    ),
                    document.getElementById('groupbutton')
                    );
    
            </script>
        </div>

    Configure Properties

    you can make use of all available properties in GroupButton in ReactJS framework. Please refer below code to configure the all properties in this framework

  • JAVASCRIPT
  • "use strict";
    
        var data=[
    
    
    
                { text: 'Day', contentType: 'textonly' },
    
    
    
                { text: 'Week', contentType: 'textonly' },
    
    
    
                { text: 'Work Week', contentType: 'textonly' },
    
    
    
                { text: 'Month', contentType: 'textonly', selected: 'selected' },
    
    
    
                { text: 'Agenda', contentType: 'textonly' }
    
        ];
    
    
    
        ReactDOM.render(
    
    
    
                    <EJ.GroupButton id="dtp" dataSource={data} showRoundedCorner={true}>
    
        </EJ.GroupButton>
    
            ,
    
        document.getElementById('groupbutton')
    
        );

    Run the above code to render the following output.